<?php

namespace App\Modules\HtlBed\Application\Update;

use App\Modules\HtlBed\Domain\HtlBed;
use App\Modules\HtlBed\Domain\HtlBedRepository;

final class HtlBedUpdater
{
    public function __construct(private HtlBedRepository $repository)
    {
    }

    public function __invoke(HtlBed $model)
    {
        return $this->repository->update($model);
    }
}
